from Channel import PLCChannel, ModbusChannel
from tankalarms import PLC_IP_ADDRESS

tags = [ 
	PLCChannel(PLC_IP_ADDRESS, "water_level","WaterTxLevel","REAL", 0.5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_batt_volts","WaterTxBatVolts","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_rssi","WaterTxRSSI","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_hihi_spt","WaterTx_HHSP","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_hi_spt","WaterTx_HSP ","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_hihi_alm","WaterTx_HHAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_hi_alm","WaterTx_HAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_batt_lolo_alm","WaterTxBatVolts_LLAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "water_comm_fail_alm","WaterTx_RF_CommFail","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_level","OilTxLevel","REAL", 0.5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_batt_volts","OilTxBatVolts","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_rssi","OilTxRSSI","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_hihi_spt","OilTx_HHSP","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_hi_spt","OilTx_HSP ","REAL", 5, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_hihi_alm","OilTx_HHAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_hi_alm","OilTx_HAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_batt_lolo_alm","OilTxBatVolts_LLAlrm","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "oil_comm_fail_alm","OilTx_RF_CommFail","BOOL", 0, 3600, plc_type="Micro800"),
	PLCChannel(PLC_IP_ADDRESS, "alarmreset","Reset","BOOL", 0, 3600, plc_type="Micro800")
]